/**
 * title: "段落输入框"
 * description: "为 `Input` 设置 `disabled` 状态,通过state添加错误状态。"
 */
import React from "react";
import { Input } from "@alicloud/console-components";
var titleStyle = {
    margin: "4px 0 4px",
    color: "#1D1D1F",
    height: 20,
};
var contentStyle = {
    display: "grid",
    gridTemplateColumns: "repeat(2, 1fr)",
    gap: 36,
};
export default (function () {
    return (React.createElement("div", { style: contentStyle },
        React.createElement("div", null,
            React.createElement("div", { style: titleStyle }, "\u9ED8\u8BA4"),
            React.createElement(Input, { placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9", size: "medium" })),
        React.createElement("div", null,
            React.createElement("div", { style: titleStyle }, "\u8F93\u5165\u5B8C\u6210"),
            React.createElement(Input, { defaultValue: "\u5DF2\u8F93\u5165\u6587\u672C", placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9", size: "medium" })),
        React.createElement("div", null,
            React.createElement("div", { style: titleStyle }, "\u7981\u7528"),
            React.createElement(Input, { placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9", size: "medium", disabled: true })),
        React.createElement("div", null,
            React.createElement("div", { style: titleStyle }, "\u8F93\u5165\u9519\u8BEF\u6216\u672A\u586B"),
            React.createElement(Input, { placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9", size: "medium", defaultValue: "\u5DF2\u8F93\u5165\u6587\u672C", state: "error" }))));
});
